@echo off
rem --- part2 for Ultrabot installation
rem ---------------------------------------------------
:disk2
echo Please insert Ultrabot Disk 2 in drive %1
pause
:exists2
if exist %1\Ultrabot.2 goto disk2_ok
echo Wrong disk: Please make sure Ultrabot disk 2 is in drive %1
pause
goto exists2
rem ---------------------------------------------------
:disk2_ok
echo Copying Ultrabot files...
copy %1\*.* %2\Ultra
if not exist %2\Ultra\lastfile goto error
cls
echo Ultrabots has been successfully installed to %2\Ultra.
echo To play Ultrabots, switch to the %2\Ultra directory and
echo type "ULTRA"
echo 
goto done
rem ---------------------------------------------------
rem --- general installation error.
:error
echo 
echo Installation Error:  Perhaps there isn't enough space on your destination
echo disk.  Ultrabots requires about 2.5 megabytes of hard disk space.
goto errorDone
rem ---------------------------------------------------
rem --- goto here after an error is detected, to print a message and exit.
:errorDone
echo 
echo Ultrabots was not installed correctly.
echo Please try again.
rem ---------------------------------------------------
:done
